

Mod-EC
======

> [Datasheet](https://ufire.dev/files/mod-ec_datasheet.pdf) 📜

Add the ability to measure EC to your hardware application with a fully digital interface.

#### Summary ℹ️

*   EC range of 0.05 µS/cm to 1 S/cm with appropriate probe
*   Accuracy ±0.002  mS/cm
*   Resolution 0.001 mS/cm
*   Temperature compensated
*   I²C, UART, and USB interfaces
*   1-Wire interface for DS18B20 temperature sensor
*   25x15 mm for castellated or DIP mounting
*   Single, dual, and triple point calibration

* * *

### Use

*   [I²C Arduino Library Documentation](https://ufire.dev/files/mod-ec_arduino_library.pdf)
*   [I²C Raspberry Pi Python Documentation](https://ufire.dev/files/mod-ec_raspberrypi_library.pdf)

* * *

### Design ✒️

Adding a module to your own design is straightforward. You'll need:

1.  bus connection to your controlling device (I2C, UART, USB)
2.  clean, preferably isolated, power supply
3.  probe connection (U.FL, BNC, terminal block)

Some resources to get started:

*   [Schematic of the I2C Isolated Dev Board](https://ufire.dev/files/isolated_qwiic_dev_board_schematic.pdf)
*   Design Incorporation section of the [Datasheet](https://ufire.dev/files/mod-ec_datasheet.pdf)

> [Request a custom board](https://docs.google.com/forms/d/e/1FAIpQLSfiCyjnq35GVyaRjVw6HphhNFNmoyi723qlqVLjUhc-TrmvfQ/viewform)

* * *

### Ask a question 🤙

*   [Support Request](https://docs.google.com/forms/d/e/1FAIpQLSekGsS88VkVGCOdW58-MLXKEMpZ8m3PTjGt28sdiWZpEqDXPg/viewform)
*   [Discord](https://discord.gg/rAnZPdW)

* * *
### Buy One
[Mod-EC](https://ufire.co) - just the sensor

[Isolated Qwiic Dev Board](https://ufire.co) - all the components needed to use the module